//////////////////////////////////////////////////
//Title    : pub_netcap.h
//Auhtor   : Liu Wei
//Desc     : public netcap header
//Created  : 2007-06-05
//Revision :
//
//Revision :
//
//////////////////////////////////////////////////

#ifndef _PUB_NETCAP_H_
#define _PUB_NETCAP_H_

#include "public.h"
#include "includes.h"

typedef struct NET_CAPTURE
{
	u8   uState;
	u32  nSock;
	u32  nPort;
	u32  nDstIp;
}
NetCap;

int  NcInit();
int  NcStart( u32 wIP , u32 wPort );
int  NcStop( );
void NcSetPort( u32 port );
void NcSetIP( u32 ip );
void NcMtp3Send( u8 *pMtp3Msg , u32 wMtp3Len , u8 uAnsiFlag );
int  NcSccpSend( u8 *pSccpMsg , u32 wSccpLen , u8 *pIntraMsg , u8 uAnsiFlag );

#endif
